Subject: Re: [clue] example of CLUE exchange without SDP offer/answer

From: Robert Hansen <[email-masked]>
Date: Mon, 05 Jan 2015 18:05:32 +0000

I think that's a good change, as that's a change at the CLUE level 
people will want to make that shouldn't prompt an SDP change.

Rob

On 22/12/14 15:20, Duckworth, Mark wrote:
>
> Comment from Rob about this passage in framework section 5:
>
> “During the lifetime of a call, further exchanges MAY occur over the 
> CLUE channel.  In some cases, those further exchanges lead to a 
> modified system behavior of Provider or Consumer (or both) without any 
> other protocol activity such as further offer/answer exchanges.  For 
> example, voice-activated screen switching, signaled over the CLUE 
> channel, ought not to lead to heavy-handed mechanisms like SIP 
> re-invites.”
>
> From Rob’s WGLC comments:
>
> >Section 5. page 13:
>
> >"For example, voice-activated screen switching, signaled over the 
> CLUE channel, ought not to"
>
> >- was a bit confused by this; does this mean an MCC noted as 
> voice-switched, or actually
>
> >somehow signalling which participant is currentl the active speaker 
> via CLUE (and if the latter,
>
> >how do we do that)? My guess is that this relates to behaviour that 
> is now available at the RTP
>
> >level instead.
>
> This is intended to be an example of something that could be done 
> using CLUE signaling, which then affects the RTP streams, but does not 
> require SDP changes.  I agree with Rob it is not a good example, 
> because I can’t think of anything about “voice activated screen 
> switching” that fits this scenario.
>
> I suggest replacing this with a different example.  Proposed new text:
>
> “For example, a Configure Message requesting the Provider to place a 
> different Capture source into a Capture Encoding, signaled over the 
> CLUE channel, ought not to ...”
>
> Mark
>
>
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue

---

From: Christian Groves <[email-masked]>
Date: Tue, 06 Jan 2015 11:00:05 +1100

Sounds good to me.
Christian

On 6/01/2015 5:05 AM, Robert Hansen wrote:
>> modified system behavior of Provider or Consumer (or both) without 
>> any other protocol activity such as further offer/answer exchanges.  
>> For example, voice-activated screen switching, signaled over the CLUE 
>> using CLUE signaling, which then affects the RTP streams, but does 
>> not require SDP changes.  I agree with Rob it is not a good example,